Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.io.object
Class UnsignedByte

    java.lang.Object
      java.lang.Number
          org.red5.io.object.UnsignedNumber
              org.red5.io.object.UnsignedByte

All Implemented Interfaces:
  Serializable

    public final class UnsignedByte

extends UnsignedNumber

The UnsignedByte class wraps a value of and unsigned 8 bits number.

Author:
  Matteo Merli (matteo.merli@gmail.com)
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.red5.io.object.UnsignedNumber
`hexLetters`

Constructor Summary
`UnsignedByte(byte c)`
`UnsignedByte(int c)`
`UnsignedByte(long c)`
`UnsignedByte(short c)`

Method Summary
`int` | `compareTo(UnsignedNumber other)`
`double` | `doubleValue()`
`boolean` | `equals(Object other)`
`float` | `floatValue()`
`static UnsignedByte` | `fromBytes(byte[] c)`
`static UnsignedByte` | `fromBytes(byte[] c, int idx)`
`static UnsignedByte` | `fromString(String c)`
`static UnsignedByte` | `fromString(String c, int radix)`
`byte[]` | `getBytes()` Get a byte array representation of the number.
`int` | `hashCode()`
`int` | `intValue()`
`long` | `longValue()`
`void` | `shiftLeft(int nBits)` Perform a bit left shift of the value.
`void` | `shiftRight(int nBits)` Perform a bit right shift of the value.
`short` | `shortValue()`
`String` | `toString()`

Methods inherited from class org.red5.io.object.UnsignedNumber
`toHexString, toHexString`

Methods inherited from class java.lang.Number
`byteValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnsignedByte

    public UnsignedByte(byte c)

### UnsignedByte

    public UnsignedByte(short c)

### UnsignedByte

    public UnsignedByte(int c)

### UnsignedByte

    public UnsignedByte(long c)

Method Detail

### fromBytes

    public static UnsignedByte fromBytes(byte[] c)

### fromBytes

    public static UnsignedByte fromBytes(byte[] c,
                                         int idx)

### fromString

    public static UnsignedByte fromString(String c)

### fromString

    public static UnsignedByte fromString(String c,
                                          int radix)

### doubleValue

    public double doubleValue()

  Specified by:
    `doubleValue` in class `Number`

### floatValue

    public float floatValue()

  Specified by:
    `floatValue` in class `Number`

### shortValue

    public short shortValue()

  Overrides:
    `shortValue` in class `Number`

### intValue

    public int intValue()

  Specified by:
    `intValue` in class `Number`

### longValue

    public long longValue()

  Specified by:
    `longValue` in class `Number`

### getBytes

    public byte[] getBytes()

  Description copied from class: `UnsignedNumber`
  Get a byte array representation of the number. The order will be MSB first (Big Endian).

  Specified by:
    `getBytes` in class `UnsignedNumber`
  Returns:
    the serialized number

### compareTo

    public int compareTo(UnsignedNumber other)

  Specified by:
    `compareTo` in class `UnsignedNumber`

### equals

    public boolean equals(Object other)

  Specified by:
    `equals` in class `UnsignedNumber`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `UnsignedNumber`

### toString

    public String toString()

  Specified by:
    `toString` in class `UnsignedNumber`

### shiftRight

    public void shiftRight(int nBits)

  Description copied from class: `UnsignedNumber`
  Perform a bit right shift of the value.

  Specified by:
    `shiftRight` in class `UnsignedNumber`
  Parameters:
    `nBits` - the number of positions to shift

### shiftLeft

    public void shiftLeft(int nBits)

  Description copied from class: `UnsignedNumber`
  Perform a bit left shift of the value.

  Specified by:
    `shiftLeft` in class `UnsignedNumber`
  Parameters:
    `nBits` - the number of positions to shift

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project